terraform {
  required_providers {
    digitalocean = {
      source  = "digitalocean/digitalocean"
      version = "2.25.2"
    }
    acme = {
      source  = "vancluever/acme"
      version = "~> 2.0"
    }
    namecheap = {
      source = "namecheap/namecheap"
      version = ">= 2.0.0"
    }
  }
}

provider "digitalocean" {
  token             = var.do_token
  spaces_access_id  = var.spaces_access_id
  spaces_secret_key = var.spaces_secret
}

provider "acme" {
  server_url = "https://acme-v02.api.letsencrypt.org/directory"
}

provider "namecheap" {
  user_name = var.namecheap_user
  api_user = var.namecheap_api_user
  api_key = var.namecheap_api_key
}

variable "do_token" {}
variable "spaces_access_id" {}
variable "spaces_secret" {}
variable "namecheap_user" {}
variable "namecheap_api_user" {}
variable "namecheap_api_key" {}